%define __libtoolize /bin/true

%define rel	1
%define	subrel	1
%define release	%(case `hostname` in (n?.mandrakesoft.com) echo %rel;;(*) echo $[%rel-1].%subrel.$[%mdkversion/10];;esac)mdk
%{?_with_stable_on_cluster: %define release %(echo $[%{rel}-1].%subrel.$[%{mdkversion}/10]mdk)}

Name:		kio_burn
Version:	0.4
Release:	%release
Summary:	CD-Burning kioslave
URL:		http://www-users.york.ac.uk/~jrht100/burn/
Source:		http://www-users.york.ac.uk/~jrht100/burn/burn-%{version}.tar.bz2
License:	GPL
Group:		Archiving/Cd burning
BuildRequires:	kdelibs-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	cdrecord mkisofs
Patch:		kio_burn-0.4-compile-fix.patch.bz2

%description
Burn is a package to let you burn CD or DVDs using Konqueror. Actually,
you could in theory use it from any KDE program capable of opening and
saving via KDE's ioslave system. However, Konqueror is probably the easiest
way to burn discs.

Please note that DVD support is untested as I don't have a a DVD burner.
Since cdrecord claims to be able to implement DVD burning, adding it to
kio_burn should be easy with a little help from someone with a DVD burner.

Burn currently only supports data discs, burning audio CD support will
hopefully be added in the future.

%prep
%setup -q -n burn-%{version}
%patch -p1

%build
%configure --enable-final
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

for i in `find %{buildroot}/%{_datadir}/locale -type f -name '.mo'`
  do mv $i `dirname $i`/kio_burn.mo
done

%{find_lang} %{name}

%clean
rm -Rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/kde3/*
%{_datadir}/services/burn.protocol
%doc README TODO AUTHORS
%_datadir/apps/konqsidebartng/virtual_folders/services/burn.desktop
%_datadir/apps/konqueror/kpartplugins/kio_burn.rc
%exclude %{_datadir}/doc/HTML/kioslave/burn.docbook  

%changelog
* Thu Sep 09 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4-1mdk
- 0.4
- patch to make it build
- distro-dependant release tag
- don't own KDE's directories

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- 0.2

* Thu Jul 29 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.1-1mdk
- first Mandrake package

